// AWTLightweights.java
//     AWT
import java.awt.*;
import java.awt.event.*;

public class AWTLightweights extends Frame {
	
	public AWTLightweights() {
		super("AWTLightweights");
		//     
		addWindowListener( new WindowAdapter() {
			public void windowClosing(WindowEvent e) {
			System.exit(0);
			}
			});
		//    
		Lightweight1 lt1 = new Lightweight1();
		Lightweight2 lt2 =  new Lightweight2();
		//   ,  
		// 
		setLayout(null);
		lt1.setBounds(0, 0, 200, 200);
		lt2.setBounds(0, 0, 200, 200);    
		add(lt2);
		add(lt1);
		//    
		Button button = new Button("!");
		button.setBounds(50, 50, 80, 30);
		add(button);
		//    
		setSize(200, 200);
		setVisible(true);
	}
	
	//   -  
	class Lightweight1 extends Component {
		public void paint(Graphics g) {
			g.setColor(Color.blue);
			g.fillRect(20, 40, 100, 100);
		}
	}
	//   -  
	class Lightweight2 extends Component {
		public void paint(Graphics g) {
			g.setColor(Color.red);
			g.fillOval(20, 30, 90, 90);
		}
	}
	
	public static void main(String[] args) {
		new AWTLightweights();
	}
}
