// FocusKeysTest.java
//     
import javax.swing.*;
import java.awt.*;
import java.awt.event.KeyEvent;
import java.util.HashSet;

public class FocusKeysTest extends JFrame {
	public FocusKeysTest() {
		super("FocusKeysTest");
		//    
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		//    
		HashSet set = new HashSet();
		set.add(AWTKeyStroke.getAWTKeyStroke(
			'Q', KeyEvent.CTRL_MASK));
		button.setFocusTraversalKeys(
			KeyboardFocusManager.FORWARD_TRAVERSAL_KEYS, set);
		//   
		getContentPane().setLayout(new FlowLayout());
		getContentPane().add(button);
		getContentPane().add(new JButton(""));
		//    
		setSize(200, 200);
		setVisible(true);
	}
	//  
	JButton button = new JButton("");
	public static void main(String[] args) {
		new FocusKeysTest();
	}
}
