// LoginDialog.java
//   
//    
//     
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import com.porty.swing.BoxLayoutUtils;
import com.porty.swing.GUITools;

public class LoginDialog extends JDialog {
	public LoginDialog(JFrame parent) {
		super(parent, "  ");    
		//       
		addWindowListener(new WindowAdapter() {
			public void windowClosing(WindowEvent we) {
				dispose();
				System.exit(0);
			}
		});
		//     
		getContentPane().add(createGUI());
		//   
		pack();
		//    
		setVisible(true);
	}
	
	//     
	//   
	public JTextField nameField, passwrdField;
	public JButton ok, cancel;
	
	//      
	//  
	private JPanel createGUI() {
		// 1.  ,   
		//      
		JPanel main =
			BoxLayoutUtils.createVerticalPanel();
		//     Java,
		//      
		//    12 . 
		//      
		main.setBorder( 
			BorderFactory.createEmptyBorder(12,12,12,12));
		// 2.   "",  
		//      
		// )       
		JPanel name =
			BoxLayoutUtils.createHorizontalPanel();
		JLabel nameLabel = new JLabel(":");
		name.add(nameLabel);
		name.add(Box.createHorizontalStrut(12));
		nameField = new JTextField(15);
		name.add(nameField);
		// )       
		JPanel password =
			BoxLayoutUtils.createHorizontalPanel();
		JLabel passwrdLabel = new JLabel(":");
		password.add(passwrdLabel);
		password.add(Box.createHorizontalStrut(12));
		passwrdField = new JTextField(15);
		password.add(passwrdField);
		// )  
		JPanel flow = new JPanel( new FlowLayout( 
			FlowLayout.RIGHT, 0, 0) );
		JPanel grid = new JPanel( new GridLayout( 
			1,2,5,0) );
		ok = new JButton("OK");
		cancel = new JButton("");
		grid.add(ok);
		grid.add(cancel);
		flow.add(grid);
		// 3.     
		//  ,  
		// ,   
		// )   
		//  
		BoxLayoutUtils.setGroupAlignmentX(
			new JComponent[] { name, password,
				main, flow }, Component.LEFT_ALIGNMENT);
		// )   
		//   
		BoxLayoutUtils.setGroupAlignmentY(
			new JComponent[] { nameField, passwrdField,
				nameLabel, passwrdLabel },
					Component.CENTER_ALIGNMENT);
		// )      
		GUITools.makeSameSize(new JComponent[] { 
			nameLabel, passwrdLabel } );
		// )    
		GUITools.createRecommendedMargin(
			new JButton[] { ok, cancel } );
		// )  ""   
		GUITools.fixTextFieldSize(nameField);
		GUITools.fixTextFieldSize(passwrdField);
		// 4.  ""   
		main.add(name);
		main.add(Box.createVerticalStrut(12));
		main.add(password);
		main.add(Box.createVerticalStrut(17));
		main.add(flow);
		// 
		return main;
	}
	
	//      
	public static void main(String[] args) {
		new LoginDialog(new JFrame());
	}
}