// ButtonEvents.java
//     JButton
import javax.swing.*;
import javax.swing.event.*;
import java.awt.*;
import java.awt.event.*;

public class ButtonEvents extends JFrame {
	public ButtonEvents() {
		super("ButtonEvents");    
		setDefaultCloseOperation( EXIT_ON_CLOSE );
		//   
		Container c = getContentPane();
		//        
		JButton button = new JButton(" !");
		c.add(button, "North");
		//      
		info = new JTextArea("   \n");
		c.add(new JScrollPane(info));
		//      
		//     
		button.addActionListener(new ActionL());
		button.addChangeListener(new ChangeL());
		//     
		button.addItemListener(new ItemListener() {
			public void itemStateChanged(ItemEvent e) {
				info.append("     ");
			}
			});
		//    
		setSize(400, 300);
		setVisible(true);
	}
	JTextArea info;
	class ActionL implements ActionListener {
		public void actionPerformed(ActionEvent e) {
		  info.append(
			"    !  - "
		  + e.getActionCommand() + "\n");
		}
	}
	class ChangeL implements ChangeListener {
		public void stateChanged(ChangeEvent e) {
		  info.append(
			"     !\n");
		  //   
		  Object src = e.getSource();
		}
	}
	public static void main(String[] args) {
		new ButtonEvents();
	}
}