// ListSelectionModes.java
//   
import javax.swing.*;

public class ListSelectionModes extends JFrame {
	private String[] data = { "", "",
		"", "", ""};
	public ListSelectionModes() {
		super("ListSelectionModes");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		//   
		DefaultListModel dlm = 
			new DefaultListModel();
		for (int i=0; i<data.length; i++)
			dlm.addElement(data[i]);
		//      
		JPanel contents = new JPanel();
		JList list1 = new JList(dlm);
		list1.setSelectionMode(
			ListSelectionModel.SINGLE_SELECTION);
		JList list2 = new JList(dlm);
		list2.setSelectionMode(
			ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		JList list3 = new JList(dlm);
		//   
		list3.getSelectionModel().setSelectionMode(
			ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		//  
		contents.add(new JScrollPane(list1));
		contents.add(new JScrollPane(list2));
		contents.add(new JScrollPane(list3));
		//    
		setContentPane(contents);
		setSize(300, 200);
		setVisible(true);
	}
	public static void main(String[] args) {
		new ListSelectionModes();
	}
}