// UsingDefaultTreeModel.java
//      
//  DefaultMutableTreeNode
import javax.swing.*;
import javax.swing.tree.*;
import java.awt.GridLayout;

public class UsingDefaultTreeModel extends JFrame {
	//       
	private String[] drinks =  { "", "", "" };
	private String[] fruits =  { "", "" };
	public UsingDefaultTreeModel() {
		super("UsingDefaultTreeModel");
		setDefaultCloseOperation(EXIT_ON_CLOSE);
		//    
		DefaultMutableTreeNode root = 
			new DefaultMutableTreeNode(" ");
		//  
		DefaultMutableTreeNode drink = 
			new DefaultMutableTreeNode("");
		DefaultMutableTreeNode fruit = 
			new DefaultMutableTreeNode("");
		//  
		root.add(drink);
		root.add(fruit);
		//  
		root.add(new DefaultMutableTreeNode("", true));
		//  
		for ( int i=0; i<drinks.length; i++) {
			drink.add(
			 new DefaultMutableTreeNode(drinks[i], false));
		}
		for ( int i=0; i<fruits.length; i++) {
			fruit.add(
			 new DefaultMutableTreeNode(fruits[i], false));
		}
		//     
		DefaultTreeModel dtm1 = 
			new DefaultTreeModel(root, true);
		JTree tree1 = new JTree(dtm1);
		//   ,    
		DefaultTreeModel dtm2 = new DefaultTreeModel(drink);
		JTree tree2 = new JTree(dtm2);
		//       
		JPanel contents = new JPanel(new GridLayout(1, 2));
		contents.add(new JScrollPane(tree1));
		contents.add(new JScrollPane(tree2));
		setContentPane(contents);
		setSize(400, 300);
		setVisible(true);
	}
	public static void main(String[] args) {
		new UsingDefaultTreeModel();
	}
}