// com/porty/swing/ImageTableCellRenderer.java
//      
package com.porty.swing;
import javax.swing.*;
import javax.swing.table.*;
import java.awt.*;

public class ImageTableCellRenderer 
		extends DefaultTableCellRenderer {
	//     	
	public Component getTableCellRendererComponent(
	  JTable table, Object value, boolean isSelected,
			boolean hasFocus, int row, int column) {
		//    
		ImageTableCell imageCell = (ImageTableCell)value;
		//      
		JLabel label = (JLabel)super.
			getTableCellRendererComponent(table, 
				imageCell.text,	isSelected, hasFocus, 
					row, column);
		//  
		label.setIcon(imageCell.icon);
		return label;
	}
}
